org.eclipse.jdt.junit.launcher

## Class AdvancedJUnitLaunchConfigurationDelegate

- java.lang.Object
- - org.eclipse.debug.core.model.LaunchConfigurationDelegate
  - - org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate
    - - org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationDelegate
      - - org.eclipse.jdt.junit.launcher.AdvancedJUnitLaunchConfigurationDelegate

All Implemented Interfaces:
  IDebugEventSetListener, ILaunchConfigurationDelegate, ILaunchConfigurationDelegate2

    public class AdvancedJUnitLaunchConfigurationDelegate
    extends JUnitLaunchConfigurationDelegate

Launch configuration delegate for a JUnit test as a Java application with advanced source lookup support.

Since:
  3.10

### Field Summary

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

### Constructor Summary

Constructors
Constructor and Description
`AdvancedJUnitLaunchConfigurationDelegate()`

### Method Summary

### Methods inherited from class org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationDelegate

`abort, collectExecutionArguments, evaluateTests, getClasspath, getClasspathAndModulepath, launch, preLaunchCheck, showCommandLine, verifyMainTypeName`

### Methods inherited from class org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate

`allowAdvancedSourcelookup, getBootpath, getBootpathExt, getBreakpoints, getBuildOrder, getDefaultWorkingDirectory, getEnvironment, getJavaLibraryPath, getJavaProject, getJavaProjectName, getLaunch, getLaunchManager, getMainTypeName, getModuleCLIOptions, getProgramArguments, getProjectsForProblemSearch, getVMArguments, getVMArguments, getVMConnectorId, getVMInstall, getVMInstallName, getVMInstallType, getVMInstallTypeId, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, getWorkingDirectoryPath, handleDebugEvents, isAllowTerminate, isLaunchProblem, isStopInMain, preLaunchCheck, prepareStopInMain, setDefaultSourceLocator, verifyJavaProject, verifyVMInstall, verifyWorkingDirectory`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdvancedJUnitLaunchConfigurationDelegate

    public AdvancedJUnitLaunchConfigurationDelegate()